VTK: vtkEventForwarderCommand Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkEventForwarderCommand Class Reference

a simple event forwarder command More...

`#include <vtkEventForwarderCommand.h>`

Inheritance diagram for vtkEventForwarderCommand:
[legend]
Collaboration diagram for vtkEventForwarderCommand:
[legend]

## Public Types
typedef vtkCommand | Superclass
Public Types inherited from vtkCommand
enum | EventIds { NoEvent = 0 , AnyEvent , DeleteEvent , StartEvent , EndEvent , RenderEvent , ProgressEvent , PickEvent , StartPickEvent , EndPickEvent , AbortCheckEvent , ExitEvent , LeftButtonPressEvent , LeftButtonReleaseEvent , MiddleButtonPressEvent , MiddleButtonReleaseEvent , RightButtonPressEvent , RightButtonReleaseEvent , EnterEvent , LeaveEvent , KeyPressEvent , KeyReleaseEvent , CharEvent , ExposeEvent , ConfigureEvent , TimerEvent , MouseMoveEvent , MouseWheelForwardEvent , MouseWheelBackwardEvent , ActiveCameraEvent , CreateCameraEvent , ResetCameraEvent , ResetCameraClippingRangeEvent , ModifiedEvent , WindowLevelEvent , StartWindowLevelEvent , EndWindowLevelEvent , ResetWindowLevelEvent , SetOutputEvent , ErrorEvent , WarningEvent , StartInteractionEvent , DropFilesEvent , UpdateDropLocationEvent , InteractionEvent , EndInteractionEvent , EnableEvent , DisableEvent , CreateTimerEvent , DestroyTimerEvent , PlacePointEvent , DeletePointEvent , PlaceWidgetEvent , CursorChangedEvent , ExecuteInformationEvent , RenderWindowMessageEvent , WrongTagEvent , StartAnimationCueEvent , ResliceAxesChangedEvent , AnimationCueTickEvent , EndAnimationCueEvent , VolumeMapperRenderEndEvent , VolumeMapperRenderProgressEvent , VolumeMapperRenderStartEvent , VolumeMapperComputeGradientsEndEvent , VolumeMapperComputeGradientsProgressEvent , VolumeMapperComputeGradientsStartEvent , WidgetModifiedEvent , WidgetValueChangedEvent , WidgetActivateEvent , ConnectionCreatedEvent , ConnectionClosedEvent , DomainModifiedEvent , PropertyModifiedEvent , UpdateEvent , RegisterEvent , UnRegisterEvent , UpdateInformationEvent , AnnotationChangedEvent , SelectionChangedEvent , UpdatePropertyEvent , ViewProgressEvent , UpdateDataEvent , CurrentChangedEvent , ComputeVisiblePropBoundsEvent , TDxMotionEvent , TDxButtonPressEvent , TDxButtonReleaseEvent , HoverEvent , LoadStateEvent , SaveStateEvent , StateChangedEvent , WindowMakeCurrentEvent , WindowIsCurrentEvent , WindowFrameEvent , HighlightEvent , WindowSupportsOpenGLEvent , WindowIsDirectEvent , WindowStereoTypeChangedEvent , WindowResizeEvent , UncheckedPropertyModifiedEvent , UpdateShaderEvent , MessageEvent , StartSwipeEvent , SwipeEvent , EndSwipeEvent , StartPinchEvent , PinchEvent , EndPinchEvent , StartRotateEvent , RotateEvent , EndRotateEvent , StartPanEvent , PanEvent , EndPanEvent , TapEvent , LongTapEvent , FourthButtonPressEvent , FourthButtonReleaseEvent , FifthButtonPressEvent , FifthButtonReleaseEvent , Move3DEvent , Button3DEvent , TextEvent , LeftButtonDoubleClickEvent , MiddleButtonDoubleClickEvent , RightButtonDoubleClickEvent , MouseWheelLeftEvent , MouseWheelRightEvent , ViewerMovement3DEvent , Menu3DEvent , NextPose3DEvent , Clip3DEvent , PositionProp3DEvent , Pick3DEvent , Select3DEvent , Elevation3DEvent , UserEvent = 1000 }

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkEventForwarderCommand * | NewInstance () const
void | Execute (vtkObject *caller, unsigned long eid, void *callData) override
| Satisfy the superclass API for callbacks. More...
virtual void | SetTarget (vtkObject *obj)
| Methods to set and get client and callback information, and the callback function. More...
virtual void * | GetTarget ()
Public Member Functions inherited from vtkCommand
| vtkBaseTypeMacro (vtkCommand, vtkObjectBase)
void | UnRegister ()
| Decrease the reference count (release by another object). More...
void | SetAbortFlag (vtkTypeBool f)
| Set/Get the abort flag. More...
vtkTypeBool | GetAbortFlag ()
void | AbortFlagOn ()
void | AbortFlagOff ()
void | SetPassiveObserver (vtkTypeBool f)
| Set/Get the passive observer flag. More...
vtkTypeBool | GetPassiveObserver ()
void | PassiveObserverOn ()
void | PassiveObserverOff ()
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual std::string | GetObjectDescription () const
| The object description printed in messages and PrintSelf output. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkEventForwarderCommand * | SafeDownCast (vtkObjectBase *o)
static vtkEventForwarderCommand * | New ()
Static Public Member Functions inherited from vtkCommand
static bool | EventHasData (unsigned long event)
| Does this event type contain vtkEventData. More...
static const char * | GetStringFromEventId (unsigned long event)
| Convenience methods for translating between event names and event ids. More...
static unsigned long | GetEventIdFromString (const char *event)
| Convenience methods for translating between event names and event ids. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkEventForwarderCommand ()
| ~vtkEventForwarderCommand () override=default
Protected Member Functions inherited from vtkCommand
| vtkCommand ()
| ~vtkCommand () override=default
| vtkCommand (const vtkCommand &c)
void | operator= (const vtkCommand &)
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | RegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check)
virtual void | ReportReferences (vtkGarbageCollector *)
virtual void | ObjectFinalize ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkObject * | Target
Protected Attributes inherited from vtkCommand
vtkTypeBool | AbortFlag
vtkTypeBool | PassiveObserver
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

a simple event forwarder command

Use vtkEventForwarderCommand to forward an event to a new object. This command will intercept the event, and use InvokeEvent on a 'target' as if that object was the one that invoked the event instead of the object this command was attached to using AddObserver.

See also
  vtkCommand

Definition at line 23 of file vtkEventForwarderCommand.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkCommand vtkEventForwarderCommand::Superclass

Definition at line 26 of file vtkEventForwarderCommand.h.

## Constructor & Destructor Documentation

## ◆ vtkEventForwarderCommand()

vtkEventForwarderCommand::vtkEventForwarderCommand | ( |  | ) |
| protected

## ◆ ~vtkEventForwarderCommand()

vtkEventForwarderCommand::~vtkEventForwarderCommand | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkEventForwarderCommand::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkEventForwarderCommand::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkEventForwarderCommand* vtkEventForwarderCommand::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkEventForwarderCommand::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkEventForwarderCommand* vtkEventForwarderCommand::NewInstance | ( |  | ) | const

## ◆ New()

static vtkEventForwarderCommand* vtkEventForwarderCommand::New | ( |  | ) |
| inlinestatic

Definition at line 28 of file vtkEventForwarderCommand.h.

## ◆ Execute()

void vtkEventForwarderCommand::Execute | ( | vtkObject * | caller,
|  | unsigned long | eid,
|  | void * | callData
| ) |  |
| overridevirtual

Satisfy the superclass API for callbacks.

Recall that the caller is the instance invoking the event; eid is the event id (see vtkCommand.h); and calldata is information sent when the callback was invoked (e.g., progress value in the vtkCommand::ProgressEvent).

Implements vtkCommand.

## ◆ SetTarget()

virtual void vtkEventForwarderCommand::SetTarget | ( | vtkObject * | obj | ) |
| inlinevirtual

Methods to set and get client and callback information, and the callback function.

Definition at line 42 of file vtkEventForwarderCommand.h.

## ◆ GetTarget()

virtual void* vtkEventForwarderCommand::GetTarget | ( |  | ) |
| inlinevirtual

Definition at line 43 of file vtkEventForwarderCommand.h.

## Member Data Documentation

## ◆ Target

vtkObject* vtkEventForwarderCommand::Target
| protected

Definition at line 46 of file vtkEventForwarderCommand.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkEventForwarderCommand.h